diff --git a/python/mozbuild/mozpack/test/test_archive.py b/python/mozbuild/mozpack/test/test_archive.py
index 6f61f7eb7a..3bad0f56b8 100644
--- a/python/mozbuild/mozpack/test/test_archive.py
+++ b/python/mozbuild/mozpack/test/test_archive.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import
 
 import hashlib
 import os
@@ -69,7 +68,7 @@ class TestArchive(unittest.TestCase):
         try:
             tp = os.path.join(d, 'test.tar')
             with open(tp, 'wb') as fh:
-                with self.assertRaisesRegexp(ValueError, 'not a regular'):
+                with self.assertRaisesRegex(ValueError, 'not a regular'):
                     create_tar_from_files(fh, {'test': d})
         finally:
             shutil.rmtree(d)
@@ -89,9 +88,9 @@ class TestArchive(unittest.TestCase):
 
             tp = os.path.join(d, 'test.tar')
             with open(tp, 'wb') as fh:
-                with self.assertRaisesRegexp(ValueError, 'cannot add file with setuid'):
+                with self.assertRaisesRegex(ValueError, 'cannot add file with setuid'):
                     create_tar_from_files(fh, {'test': uid})
-                with self.assertRaisesRegexp(ValueError, 'cannot add file with setuid'):
+                with self.assertRaisesRegex(ValueError, 'cannot add file with setuid'):
                     create_tar_from_files(fh, {'test': gid})
         finally:
             shutil.rmtree(d)
diff --git a/python/mozbuild/mozpack/test/test_chrome_manifest.py b/python/mozbuild/mozpack/test/test_chrome_manifest.py
index 690c6acdc9..1ffeba7237 100644
--- a/python/mozbuild/mozpack/test/test_chrome_manifest.py
+++ b/python/mozbuild/mozpack/test/test_chrome_manifest.py
@@ -24,7 +24,7 @@ from mozpack.chrome.manifest import (
     parse_manifest_line,
 )
 from mozpack.errors import errors, AccumulatedErrors
-from test_errors import TestErrors
+from .test_errors import TestErrors
 
 
 class TestManifest(unittest.TestCase):
@@ -91,7 +91,7 @@ class TestManifest(unittest.TestCase):
         with mozunit.MockedOpen({'manifest': '\n'.join(manifest),
                                  'other/manifest': '\n'.join(other_manifest)}):
             # Ensure we have tests for all types of manifests.
-            self.assertEqual(set(type(e) for e in expected_result),
+            self.assertEqual({type(e) for e in expected_result},
                              set(MANIFESTS_TYPES.values()))
             self.assertEqual(list(parse_manifest(os.curdir, 'manifest')),
                              expected_result)
diff --git a/python/mozbuild/mozpack/test/test_copier.py b/python/mozbuild/mozpack/test/test_copier.py
index 6688b3d5ef..06fa34a4d8 100644
--- a/python/mozbuild/mozpack/test/test_copier.py
+++ b/python/mozbuild/mozpack/test/test_copier.py
@@ -127,7 +127,7 @@ class TestFileRegistry(BaseTestFileRegistry, unittest.TestCase):
             'bar': [],
         }
         reg = FileRegistry()
-        for path, parts in cases.iteritems():
+        for path, parts in cases.items():
             self.assertEqual(reg._partial_paths(path), parts)
 
     def test_file_registry(self):
@@ -212,10 +212,10 @@ class TestFileCopier(TestWithTmpDir):
         result = copier.copy(self.tmpdir)
         self.assertEqual(self.all_files(self.tmpdir), set(copier.paths()))
         self.assertEqual(self.all_dirs(self.tmpdir),
-                         set(['foo/deep/nested/directory', 'qux']))
+                         {'foo/deep/nested/directory', 'qux'})
 
-        self.assertEqual(result.updated_files, set(self.tmppath(p) for p in
-            self.all_files(self.tmpdir)))
+        self.assertEqual(result.updated_files, {self.tmppath(p) for p in
+            self.all_files(self.tmpdir)})
         self.assertEqual(result.existing_files, set())
         self.assertEqual(result.removed_files, set())
         self.assertEqual(result.removed_directories, set())
@@ -224,9 +224,9 @@ class TestFileCopier(TestWithTmpDir):
         copier.add('test', GeneratedFile('test'))
         result = copier.copy(self.tmpdir)
         self.assertEqual(self.all_files(self.tmpdir), set(copier.paths()))
-        self.assertEqual(self.all_dirs(self.tmpdir), set(['qux']))
-        self.assertEqual(result.removed_files, set(self.tmppath(p) for p in
-            ('foo/bar', 'foo/qux', 'foo/deep/nested/directory/file')))
+        self.assertEqual(self.all_dirs(self.tmpdir), {'qux'})
+        self.assertEqual(result.removed_files, {self.tmppath(p) for p in
+            ('foo/bar', 'foo/qux', 'foo/deep/nested/directory/file')})
 
     def test_symlink_directory_replaced(self):
         """Directory symlinks in destination are replaced if they need to be
@@ -289,7 +289,7 @@ class TestFileCopier(TestWithTmpDir):
         self.assertFalse(stat.S_ISDIR(st.st_mode))
 
         self.assertEqual(self.all_files(dest), set(copier.paths()))
-        self.assertEqual(self.all_dirs(dest), set(['foo/bar']))
+        self.assertEqual(self.all_dirs(dest), {'foo/bar'})
 
         self.assertEqual(result.removed_directories, set())
         self.assertEqual(len(result.updated_files), 1)
@@ -304,11 +304,11 @@ class TestFileCopier(TestWithTmpDir):
         self.assertFalse(stat.S_ISLNK(st.st_mode))
         self.assertTrue(stat.S_ISDIR(st.st_mode))
 
-        self.assertEqual(result.removed_files, set([link]))
+        self.assertEqual(result.removed_files, {link})
         self.assertEqual(result.removed_directories, set())
 
         self.assertEqual(self.all_files(dest), set(copier.paths()))
-        self.assertEqual(self.all_dirs(dest), set(['foo/bar', 'zot']))
+        self.assertEqual(self.all_dirs(dest), {'foo/bar', 'zot'})
 
         # If remove_unaccounted and remove_empty_directories, then
         # both the symlink and its containing directory are removed.
@@ -319,11 +319,11 @@ class TestFileCopier(TestWithTmpDir):
             remove_empty_directories=True,
             remove_all_directory_symlinks=False)
 
-        self.assertEqual(result.removed_files, set([link]))
-        self.assertEqual(result.removed_directories, set([self.tmppath('dest/zot')]))
+        self.assertEqual(result.removed_files, {link})
+        self.assertEqual(result.removed_directories, {self.tmppath('dest/zot')})
 
         self.assertEqual(self.all_files(dest), set(copier.paths()))
-        self.assertEqual(self.all_dirs(dest), set(['foo/bar']))
+        self.assertEqual(self.all_dirs(dest), {'foo/bar'})
 
     def test_permissions(self):
         """Ensure files without write permission can be deleted."""
@@ -362,12 +362,12 @@ class TestFileCopier(TestWithTmpDir):
 
         result = copier.copy(self.tmpdir, remove_unaccounted=False)
 
-        self.assertEqual(self.all_files(self.tmpdir), set(['foo', 'bar',
-            'populateddir/foo']))
-        self.assertEqual(self.all_dirs(self.tmpdir), set(['populateddir']))
+        self.assertEqual(self.all_files(self.tmpdir), {'foo', 'bar',
+            'populateddir/foo'})
+        self.assertEqual(self.all_dirs(self.tmpdir), {'populateddir'})
         self.assertEqual(result.removed_files, set())
         self.assertEqual(result.removed_directories,
-            set([self.tmppath('emptydir')]))
+            {self.tmppath('emptydir')})
 
     def test_no_remove_empty_directories(self):
         copier = FileCopier()
@@ -386,10 +386,10 @@ class TestFileCopier(TestWithTmpDir):
         result = copier.copy(self.tmpdir, remove_unaccounted=False,
             remove_empty_directories=False)
 
-        self.assertEqual(self.all_files(self.tmpdir), set(['foo', 'bar',
-            'populateddir/foo']))
-        self.assertEqual(self.all_dirs(self.tmpdir), set(['emptydir',
-            'populateddir']))
+        self.assertEqual(self.all_files(self.tmpdir), {'foo', 'bar',
+            'populateddir/foo'})
+        self.assertEqual(self.all_dirs(self.tmpdir), {'emptydir',
+            'populateddir'})
         self.assertEqual(result.removed_files, set())
         self.assertEqual(result.removed_directories, set())
 
@@ -414,7 +414,7 @@ class TestFileCopier(TestWithTmpDir):
         self.assertTrue(stat.S_ISDIR(st.st_mode))
 
         # What's worse, we have no record that dest was created.
-        self.assertEquals(len(result.updated_files), 0)
+        self.assertEqual(len(result.updated_files), 0)
 
         # But we do have an erroneous record of an optional file
         # existing when it does not.
diff --git a/python/mozbuild/mozpack/test/test_errors.py b/python/mozbuild/mozpack/test/test_errors.py
index 16e2b04964..ecd0e1b808 100644
--- a/python/mozbuild/mozpack/test/test_errors.py
+++ b/python/mozbuild/mozpack/test/test_errors.py
@@ -13,7 +13,7 @@ import sys
 from cStringIO import StringIO
 
 
-class TestErrors(object):
+class TestErrors:
     def setUp(self):
         errors.out = StringIO()
         errors.ignore_errors(False)
@@ -30,14 +30,14 @@ class TestErrorsImpl(TestErrors, unittest.TestCase):
         errors.warn('foo')
         self.assertRaises(ErrorMessage, errors.error, 'foo')
         self.assertRaises(ErrorMessage, errors.fatal, 'foo')
-        self.assertEquals(self.get_output(), ['Warning: foo'])
+        self.assertEqual(self.get_output(), ['Warning: foo'])
 
     def test_ignore_errors(self):
         errors.ignore_errors()
         errors.warn('foo')
         errors.error('bar')
         self.assertRaises(ErrorMessage, errors.fatal, 'foo')
-        self.assertEquals(self.get_output(), ['Warning: foo', 'Warning: bar'])
+        self.assertEqual(self.get_output(), ['Warning: foo', 'Warning: bar'])
 
     def test_no_error(self):
         with errors.accumulate():
@@ -47,14 +47,14 @@ class TestErrorsImpl(TestErrors, unittest.TestCase):
         with self.assertRaises(AccumulatedErrors):
             with errors.accumulate():
                 errors.error('1')
-        self.assertEquals(self.get_output(), ['Error: 1'])
+        self.assertEqual(self.get_output(), ['Error: 1'])
 
     def test_error_loop(self):
         with self.assertRaises(AccumulatedErrors):
             with errors.accumulate():
                 for i in range(3):
                     errors.error('%d' % i)
-        self.assertEquals(self.get_output(),
+        self.assertEqual(self.get_output(),
                           ['Error: 0', 'Error: 1', 'Error: 2'])
 
     def test_multiple_errors(self):
@@ -67,7 +67,7 @@ class TestErrorsImpl(TestErrors, unittest.TestCase):
                     else:
                         errors.error('%d' % i)
                 errors.error('bar')
-        self.assertEquals(self.get_output(),
+        self.assertEqual(self.get_output(),
                           ['Error: foo', 'Error: 0', 'Error: 1',
                            'Warning: 2', 'Error: bar'])
 
diff --git a/python/mozbuild/mozpack/test/test_files.py b/python/mozbuild/mozpack/test/test_files.py
index 6fd6178288..260a458805 100644
--- a/python/mozbuild/mozpack/test/test_files.py
+++ b/python/mozbuild/mozpack/test/test_files.py
@@ -81,7 +81,7 @@ class TestWithTmpDir(unittest.TestCase):
         try:
             os.symlink(dummy_path, self.tmppath('dummy_symlink'))
             os.remove(self.tmppath('dummy_symlink'))
-        except EnvironmentError:
+        except OSError:
             pass
         finally:
             os.remove(dummy_path)
@@ -146,7 +146,7 @@ class TestDest(TestWithTmpDir):
         dest.write('qux')
         self.assertEqual(dest.read(), 'qux')
 
-rand = ''.join(random.choice(string.letters) for i in xrange(131597))
+rand = ''.join(random.choice(string.letters) for i in range(131597))
 samples = [
     '',
     'test',
@@ -268,12 +268,12 @@ class TestAbsoluteSymlinkFile(TestWithTmpDir):
     def test_absolute_relative(self):
         AbsoluteSymlinkFile('/foo')
 
-        with self.assertRaisesRegexp(ValueError, 'Symlink target not absolute'):
+        with self.assertRaisesRegex(ValueError, 'Symlink target not absolute'):
             AbsoluteSymlinkFile('./foo')
 
     def test_symlink_file(self):
         source = self.tmppath('test_path')
-        with open(source, 'wt') as fh:
+        with open(source, 'w') as fh:
             fh.write('Hello world')
 
         s = AbsoluteSymlinkFile(source)
@@ -293,7 +293,7 @@ class TestAbsoluteSymlinkFile(TestWithTmpDir):
         # If symlinks are supported, an existing file should be replaced by a
         # symlink.
         source = self.tmppath('test_path')
-        with open(source, 'wt') as fh:
+        with open(source, 'w') as fh:
             fh.write('source')
 
         dest = self.tmppath('dest')
@@ -477,7 +477,7 @@ class TestPreprocessedFile(TestWithTmpDir):
 
 class TestExistingFile(TestWithTmpDir):
     def test_required_missing_dest(self):
-        with self.assertRaisesRegexp(ErrorMessage, 'Required existing file'):
+        with self.assertRaisesRegex(ErrorMessage, 'Required existing file'):
             f = ExistingFile(required=True)
             f.copy(self.tmppath('dest'))
 
@@ -566,7 +566,7 @@ class TestDeflatedFile(TestWithTmpDir):
         with JarWriter(src) as jar:
             for content in samples:
                 name = ''.join(random.choice(string.letters)
-                               for i in xrange(8))
+                               for i in range(8))
                 jar.add(name, content, compress=True)
                 contents[name] = content
 
@@ -718,7 +718,7 @@ foo2_xpt = GeneratedFile(
 
 
 def read_interfaces(file):
-    return dict((i.name, i) for i in Typelib.read(file).interfaces)
+    return {i.name: i for i in Typelib.read(file).interfaces}
 
 
 class TestXPTFile(TestWithTmpDir):
@@ -830,7 +830,7 @@ class TestMinifiedJavaScript(TestWithTmpDir):
         self.assertEqual(mini_lines, orig_f.open().readlines())
 
 
-class MatchTestTemplate(object):
+class MatchTestTemplate:
     def prepare_match_test(self, with_dotfiles=False):
         self.add('bar')
         self.add('foo/bar')
@@ -1072,7 +1072,7 @@ class TestComposedFinder(MatchTestTemplate, TestWithTmpDir):
 @unittest.skipUnless(hglib, 'hglib not available')
 class TestMercurialRevisionFinder(MatchTestTemplate, TestWithTmpDir):
     def setUp(self):
-        super(TestMercurialRevisionFinder, self).setUp()
+        super().setUp()
         hglib.init(self.tmpdir)
 
     def add(self, path):
diff --git a/python/mozbuild/mozpack/test/test_manifests.py b/python/mozbuild/mozpack/test/test_manifests.py
index 7d926a0c8a..3171e04f4b 100644
--- a/python/mozbuild/mozpack/test/test_manifests.py
+++ b/python/mozbuild/mozpack/test/test_manifests.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 
@@ -187,13 +186,13 @@ class TestInstallManifest(TestWithTmpDir):
         with open(to_delete, 'a'):
             pass
 
-        with open(self.tmppath('s_source'), 'wt') as fh:
+        with open(self.tmppath('s_source'), 'w') as fh:
             fh.write('symlink!')
 
-        with open(self.tmppath('c_source'), 'wt') as fh:
+        with open(self.tmppath('c_source'), 'w') as fh:
             fh.write('copy!')
 
-        with open(self.tmppath('p_source'), 'wt') as fh:
+        with open(self.tmppath('p_source'), 'w') as fh:
             fh.write('#define FOO 1\npreprocess!')
 
         with open(self.tmppath('dest/e_dest'), 'a'):
@@ -215,19 +214,19 @@ class TestInstallManifest(TestWithTmpDir):
         self.assertTrue(os.path.exists(self.tmppath('dest/content')))
         self.assertFalse(os.path.exists(to_delete))
 
-        with open(self.tmppath('dest/s_dest'), 'rt') as fh:
+        with open(self.tmppath('dest/s_dest')) as fh:
             self.assertEqual(fh.read(), 'symlink!')
 
-        with open(self.tmppath('dest/c_dest'), 'rt') as fh:
+        with open(self.tmppath('dest/c_dest')) as fh:
             self.assertEqual(fh.read(), 'copy!')
 
-        with open(self.tmppath('dest/p_dest'), 'rt') as fh:
+        with open(self.tmppath('dest/p_dest')) as fh:
             self.assertEqual(fh.read(), 'preprocess!')
 
-        self.assertEqual(result.updated_files, set(self.tmppath(p) for p in (
-            'dest/s_dest', 'dest/c_dest', 'dest/p_dest', 'dest/content')))
+        self.assertEqual(result.updated_files, {self.tmppath(p) for p in (
+            'dest/s_dest', 'dest/c_dest', 'dest/p_dest', 'dest/content')})
         self.assertEqual(result.existing_files,
-            set([self.tmppath('dest/e_dest'), self.tmppath('dest/o_dest')]))
+            {self.tmppath('dest/e_dest'), self.tmppath('dest/o_dest')})
         self.assertEqual(result.removed_files, {to_delete})
         self.assertEqual(result.removed_directories, set())
 
@@ -237,12 +236,12 @@ class TestInstallManifest(TestWithTmpDir):
         dest = self.tmppath('dest')
         include = self.tmppath('p_incl')
 
-        with open(include, 'wt') as fh:
+        with open(include, 'w') as fh:
             fh.write('#define INCL\n')
         time = os.path.getmtime(include) - 3
         os.utime(include, (time, time))
 
-        with open(self.tmppath('p_source'), 'wt') as fh:
+        with open(self.tmppath('p_source'), 'w') as fh:
             fh.write('#ifdef FOO\n#if BAZ == QUX\nPASS1\n#endif\n#endif\n')
             fh.write('#ifdef DEPTEST\nPASS2\n#endif\n')
             fh.write('#include p_incl\n#ifdef INCLTEST\nPASS3\n#endif\n')
@@ -262,7 +261,7 @@ class TestInstallManifest(TestWithTmpDir):
 
         self.assertTrue(os.path.exists(self.tmppath('dest/p_dest')))
 
-        with open(self.tmppath('dest/p_dest'), 'rt') as fh:
+        with open(self.tmppath('dest/p_dest')) as fh:
             self.assertEqual(fh.read(), 'PASS1\n')
 
         # Create a second manifest with the preprocessed file, then apply it.
@@ -290,7 +289,7 @@ class TestInstallManifest(TestWithTmpDir):
         m2.populate_registry(c)
         self.assertTrue(c.copy(dest))
 
-        with open(self.tmppath('dest/p_dest'), 'rt') as fh:
+        with open(self.tmppath('dest/p_dest')) as fh:
             self.assertEqual(fh.read(), 'PASS2\n')
 
         # Set the time on the manifest back, so it won't be picked up as
@@ -300,7 +299,7 @@ class TestInstallManifest(TestWithTmpDir):
 
         # Update the contents of a file included by the source file. This should
         # cause the destination to be regenerated.
-        with open(include, 'wt') as fh:
+        with open(include, 'w') as fh:
             fh.write('#define INCLTEST\n')
 
         time = os.path.getmtime(include) - 1
@@ -309,7 +308,7 @@ class TestInstallManifest(TestWithTmpDir):
         m2.populate_registry(c)
         self.assertTrue(c.copy(dest))
 
-        with open(self.tmppath('dest/p_dest'), 'rt') as fh:
+        with open(self.tmppath('dest/p_dest')) as fh:
             self.assertEqual(fh.read(), 'PASS2\nPASS3\n')
 
     def test_preprocessor_dependencies(self):
@@ -321,12 +320,12 @@ class TestInstallManifest(TestWithTmpDir):
         include = self.tmppath('p_incl')
         os.mkdir(dest)
 
-        with open(source, 'wt') as fh:
+        with open(source, 'w') as fh:
             fh.write('#define SRC\nSOURCE\n')
         time = os.path.getmtime(source) - 3
         os.utime(source, (time, time))
 
-        with open(include, 'wt') as fh:
+        with open(include, 'w') as fh:
             fh.write('INCLUDE\n')
         time = os.path.getmtime(source) - 3
         os.utime(include, (time, time))
@@ -346,11 +345,11 @@ class TestInstallManifest(TestWithTmpDir):
         m.populate_registry(c)
         self.assertTrue(c.copy(dest))
 
-        with open(destfile, 'rt') as fh:
+        with open(destfile) as fh:
             self.assertEqual(fh.read(), 'SOURCE\n')
 
         # Next, modify the source to #INCLUDE another file.
-        with open(source, 'wt') as fh:
+        with open(source, 'w') as fh:
             fh.write('SOURCE\n#include p_incl\n')
         time = os.path.getmtime(source) - 1
         os.utime(destfile, (time, time))
@@ -362,7 +361,7 @@ class TestInstallManifest(TestWithTmpDir):
         m.populate_registry(c)
         c.copy(dest)
 
-        with open(destfile, 'rt') as fh:
+        with open(destfile) as fh:
             self.assertEqual(fh.read(), 'SOURCE\nINCLUDE\n')
 
         # Set the time on the source file back, so it won't be picked up as
@@ -371,7 +370,7 @@ class TestInstallManifest(TestWithTmpDir):
         os.utime(source, (time, time))
 
         # Now, modify the include file (but not the original source).
-        with open(include, 'wt') as fh:
+        with open(include, 'w') as fh:
             fh.write('INCLUDE MODIFIED\n')
         time = os.path.getmtime(include) - 1
         os.utime(destfile, (time, time))
@@ -383,7 +382,7 @@ class TestInstallManifest(TestWithTmpDir):
         m.populate_registry(c)
         c.copy(dest)
 
-        with open(destfile, 'rt') as fh:
+        with open(destfile) as fh:
             self.assertEqual(fh.read(), 'SOURCE\nINCLUDE MODIFIED\n')
 
         # ORing an InstallManifest should copy file dependencies
diff --git a/python/mozbuild/mozpack/test/test_mozjar.py b/python/mozbuild/mozpack/test/test_mozjar.py
index 9484030069..063bdfc244 100644
--- a/python/mozbuild/mozpack/test/test_mozjar.py
+++ b/python/mozbuild/mozpack/test/test_mozjar.py
@@ -17,7 +17,7 @@ from mozpack.test.test_files import MockDest
 import unittest
 import mozunit
 from cStringIO import StringIO
-from urllib import pathname2url
+from urllib.request import pathname2url
 import mozpack.path as mozpath
 import os
 
@@ -310,12 +310,12 @@ class TestJarLog(unittest.TestCase):
             mozpath.normsep(os.path.normcase(os.path.realpath(p)))
         baz_jar = canonicalize('bar/baz.jar')
         qux_zip = canonicalize('qux.zip')
-        self.assertEqual(set(log.keys()), set([
+        self.assertEqual(set(log.keys()), {
             baz_jar,
             (qux_zip, 'omni.ja'),
             (qux_zip, 'baz/baz.jar', 'omni.ja'),
             (qux_zip, 'baz/baz.jar', 'foo.zip', 'omni.ja'),
-        ]))
+        })
         self.assertEqual(log[baz_jar], [
             'first',
             'second',
diff --git a/python/mozbuild/mozpack/test/test_packager.py b/python/mozbuild/mozpack/test/test_packager.py
index 397f405386..97db960154 100644
--- a/python/mozbuild/mozpack/test/test_packager.py
+++ b/python/mozbuild/mozpack/test/test_packager.py
@@ -54,7 +54,7 @@ class TestPreprocessManifest(unittest.TestCase):
     ]
 
     def setUp(self):
-        class MockSink(object):
+        class MockSink:
             def __init__(self):
                 self.log = []
 
@@ -92,7 +92,7 @@ class TestPreprocessManifest(unittest.TestCase):
                          [((self.MANIFEST_PATH, 12), 'add', 'baz', 'baz.exe')])
 
 
-class MockFinder(object):
+class MockFinder:
     def __init__(self, files):
         self.files = files
         self.log = []
@@ -107,7 +107,7 @@ class MockFinder(object):
         return self.find('')
 
 
-class MockFormatter(object):
+class MockFormatter:
     def __init__(self):
         self.log = []
 
@@ -300,10 +300,10 @@ class TestSimplePackager(unittest.TestCase):
         ])
 
         self.assertEqual(packager.get_bases(),
-                         set(['', 'addon', 'addon2', 'addon3', 'addon4',
+                         {'', 'addon', 'addon2', 'addon3', 'addon4',
                               'addon5', 'addon6', 'addon7', 'addon8',
-                              'addon9', 'addon10', 'addon11', 'qux']))
-        self.assertEqual(packager.get_bases(addons=False), set(['', 'qux']))
+                              'addon9', 'addon10', 'addon11', 'qux'})
+        self.assertEqual(packager.get_bases(addons=False), {'', 'qux'})
 
     def test_simple_packager_manifest_consistency(self):
         formatter = MockFormatter()
@@ -408,7 +408,7 @@ class TestSimpleManifestSink(unittest.TestCase):
 
 class TestCallDeque(unittest.TestCase):
     def test_call_deque(self):
-        class Logger(object):
+        class Logger:
             def __init__(self):
                 self._log = []
 
diff --git a/python/mozbuild/mozpack/test/test_packager_formats.py b/python/mozbuild/mozpack/test/test_packager_formats.py
index 4ba61e880f..06f7c5942b 100644
--- a/python/mozbuild/mozpack/test/test_packager_formats.py
+++ b/python/mozbuild/mozpack/test/test_packager_formats.py
@@ -120,7 +120,7 @@ for addon in ('addon0', 'addon1'):
             'chrome/chrome.manifest': [
                 'content content foo/bar/',
             ],
-            'chrome/foo/bar/baz': FILES[mozpath.join(addon, 'chrome/foo/bar/baz')],
+            'chrome/foo/bar/baz': FILES[mozpath.join(addon, 'chrome/foo/bar/baz'.items()],
             'components/components.manifest': [
                 'interfaces interfaces.xpt',
             ],
@@ -128,7 +128,7 @@ for addon in ('addon0', 'addon1'):
                 'foo': read_interfaces(foo2_xpt.open())['foo'],
                 'bar': read_interfaces(bar_xpt.open())['bar'],
             },
-        }.iteritems()
+        })
     })
 
 RESULT_JAR = {
@@ -174,7 +174,7 @@ RESULT_JAR.update({
     },
     'addon1.xpi': {
         mozpath.relpath(p, 'addon1'): f
-        for p, f in RESULT_FLAT.iteritems()
+        for p, f in RESULT_FLAT.items()
         if p.startswith('addon1/')
     },
 })
@@ -234,7 +234,7 @@ RESULT_OMNIJAR['omni.foo'].update({
 CONTENTS_WITH_BASE = {
     'bases': {
         mozpath.join('base/root', b) if b else 'base/root': a
-        for b, a in CONTENTS['bases'].iteritems()
+        for b, a in CONTENTS['bases'].items()
     },
     'manifests': [
         m.move(mozpath.join('base/root', m.base))
@@ -242,7 +242,7 @@ CONTENTS_WITH_BASE = {
     ],
     'files': {
         mozpath.join('base/root', p): f
-        for p, f in CONTENTS['files'].iteritems()
+        for p, f in CONTENTS['files'].items()
     },
 }
 
@@ -255,7 +255,7 @@ CONTENTS_WITH_BASE['files'].update(EXTRA_CONTENTS)
 def result_with_base(results):
     result = {
         mozpath.join('base/root', p): v
-        for p, v in results.iteritems()
+        for p, v in results.items()
     }
     result.update(EXTRA_CONTENTS)
     return result
@@ -277,7 +277,7 @@ def fill_formatter(formatter, contents):
     for manifest in contents['manifests']:
         formatter.add_manifest(manifest)
 
-    for k, v in contents['files'].iteritems():
+    for k, v in contents['files'].items():
         if k.endswith('.xpt'):
             formatter.add_interfaces(k, v)
         else:
diff --git a/python/mozbuild/mozpack/test/test_packager_l10n.py b/python/mozbuild/mozpack/test/test_packager_l10n.py
index c797eadd17..17d95ec893 100644
--- a/python/mozbuild/mozpack/test/test_packager_l10n.py
+++ b/python/mozbuild/mozpack/test/test_packager_l10n.py
@@ -4,7 +4,7 @@
 
 import unittest
 import mozunit
-from test_packager import MockFinder
+from .test_packager import MockFinder
 from mozpack.packager import l10n
 from mozpack.files import (
     GeneratedFile,
@@ -117,8 +117,8 @@ class TestL10NRepack(unittest.TestCase):
         }
 
         self.assertEqual(
-            dict((p, f.open().read()) for p, f in copier),
-            dict((p, f.open().read()) for p, f in repacked.iteritems())
+            {p: f.open().read() for p, f in copier},
+            {p: f.open().read() for p, f in repacked.items()}
         )
 
 
diff --git a/python/mozbuild/mozpack/test/test_packager_unpack.py b/python/mozbuild/mozpack/test/test_packager_unpack.py
index d201cabf74..913cf63c30 100644
--- a/python/mozbuild/mozpack/test/test_packager_unpack.py
+++ b/python/mozbuild/mozpack/test/test_packager_unpack.py
@@ -56,7 +56,7 @@ class TestUnpack(TestWithTmpDir):
     def test_omnijar_unpack(self):
         class OmniFooFormatter(OmniJarFormatter):
             def __init__(self, registry):
-                super(OmniFooFormatter, self).__init__(registry, 'omni.foo')
+                super().__init__(registry, 'omni.foo')
 
         self._unpack_test(OmniFooFormatter)
 
diff --git a/python/mozbuild/mozpack/test/test_unify.py b/python/mozbuild/mozpack/test/test_unify.py
index a2bbb44702..52f3f46b42 100644
--- a/python/mozbuild/mozpack/test/test_unify.py
+++ b/python/mozbuild/mozpack/test/test_unify.py
@@ -186,7 +186,7 @@ class TestUnifiedBuildFinder(TestUnified):
             # Now create the files from the above table and compare
             results = []
             for emid, (rdf_a, rdf_b, result) in enumerate(testcases):
-                filename = 'ext/id{0}/install.rdf'.format(emid)
+                filename = 'ext/id{}/install.rdf'.format(emid)
                 self.create_one('a', filename, rdf_a)
                 self.create_one('b', filename, rdf_b)
                 results.append((filename, result))
diff --git a/python/mozbuild/mozpack/unify.py b/python/mozbuild/mozpack/unify.py
index 3c8a8d6057..9dd63c4622 100644
--- a/python/mozbuild/mozpack/unify.py
+++ b/python/mozbuild/mozpack/unify.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import
 
 from mozpack.files import (
     BaseFinder,
@@ -73,7 +72,7 @@ class UnifiedExecutableFile(BaseFile):
         creating the instance.
         skip_if_older is ignored.
         '''
-        assert isinstance(dest, basestring)
+        assert isinstance(dest, str)
         tmpfiles = []
         try:
             for e in self._executables:
@@ -137,7 +136,7 @@ class UnifiedFinder(BaseFinder):
                 errors.error('File missing in %s: %s' %
                              (self._finder1.base, p))
         for p in [p for p in files1 if not p in files2]:
-            errors.error('File missing in %s: %s' % (self._finder2.base, p))
+            errors.error('File missing in {}: {}'.format(self._finder2.base, p))
 
     def _report_difference(self, path, file1, file2):
         '''
diff --git a/python/mozlint/mozlint/cli.py b/python/mozlint/mozlint/cli.py
index 2a35064ed4..55efda5b5e 100644
--- a/python/mozlint/mozlint/cli.py
+++ b/python/mozlint/mozlint/cli.py
@@ -2,8 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import print_function, unicode_literals
 
+from __future__ import print_function
 import os
 import sys
 from argparse import ArgumentParser, REMAINDER
@@ -105,7 +105,7 @@ def run(paths, linters, fmt, rev, workdir, **lintargs):
     # Explicitly utf-8 encode the output as some of the formatters make
     # use of unicode characters. This will prevent a UnicodeEncodeError
     # on environments where utf-8 isn't the default
-    print(formatter(results).encode('utf-8', 'replace'))
+    print((formatter(results).encode('utf-8', 'replace')))
     return lint.return_code
 
 
diff --git a/python/mozlint/mozlint/formatters/__init__.py b/python/mozlint/mozlint/formatters/__init__.py
index 33aca0446d..2650c6e015 100644
--- a/python/mozlint/mozlint/formatters/__init__.py
+++ b/python/mozlint/mozlint/formatters/__init__.py
@@ -9,7 +9,7 @@ from .stylish import StylishFormatter
 from .treeherder import TreeherderFormatter
 
 
-class JSONFormatter(object):
+class JSONFormatter:
     def __call__(self, results):
         return json.dumps(results, cls=ResultEncoder)
 
